Skip to main content
GET
/
api
/
v2
/
projects
/
{project_id}
/
sessions
List Sessions
curl --request GET \
  --url https://api.example.com/api/v2/projects/{project_id}/sessions \
  --header 'Authorization: Bearer <token>'
[
  {
    "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "start_time": "<string>",
    "custom_metadata": {},
    "messages": [
      {
        "message_type": "<string>",
        "completion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "environment": "<string>",
        "provider_name": "<string>",
        "model_name": "<string>",
        "input_variables": {},
        "prompt": [
          {
            "content": "<string>",
            "role": "user"
          }
        ],
        "prompt_template_name": "<string>",
        "response": "<string>",
        "customer_feedback": {},
        "evaluation_results": [
          {
            "name": "<string>",
            "manual_score": true,
            "auto_eval_score": true
          }
        ],
        "client_evaluation_results": [
          {
            "name": "<string>",
            "value": true
          }
        ],
        "notes": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "content": "<string>",
            "created_at": "<string>",
            "created_by": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "email_address": "<string>",
              "first_name": "<string>",
              "last_name": "<string>"
            }
          }
        ],
        "trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "format_version": 123,
        "start_time": "<string>",
        "end_time": "<string>"
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Query Parameters

page
integer
default:1
page_size
integer
default:10
to_date
string | null
from_date
string | null
test_list
string | null
test_run_id
string | null
prompt_name
string | null
review_queue_id
string | null

Response

200 - application/json

The type of parameterized generics.

That is, for example, type(List[int]) is _GenericAlias.

Objects which are instances of this class include:

  • Parameterized container types, e.g. Tuple[int], List[int].
  • Note that native container types, e.g. tuple, list, use types.GenericAlias instead.
  • Parameterized classes: class C[T]: pass

    C[int] is a _GenericAlias

  • Callable aliases, generic Callable aliases, and parameterized Callable aliases: T = TypeVar('T')

    _CallableGenericAlias inherits from _GenericAlias.

    A = Callable[[], None] # _CallableGenericAlias B = Callable[[T], None] # _CallableGenericAlias C = B[int] # _CallableGenericAlias
  • Parameterized Final, ClassVar, TypeForm, TypeGuard, and TypeIs:

    All _GenericAlias

    Final[int] ClassVar[float] TypeForm[bytearray] TypeGuard[bool] TypeIs[range]

Note that instances of this class are not classes (e.g by inspect.isclass), even though they behave like them.

session_id
string<uuid>
required
start_time
string
required
custom_metadata
Custom Metadata · object
required
messages
SessionCompletionInfo · object[]
required